coupang
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}/items2609170000

[Instant Discount Coupon] Query a list of items (status)

KRTW
# 01

簡介

[Instant Discount Coupon] Query a list of items (status)

# 02

詳細內容

Available buyer market: Korea

This API queries a list of coupon-attached option IDs by coupon status.

路徑

GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}/items

範例端點

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00012345/coupons/99/items?status=APPLIED&page=1&size=10&sort=desc
# 03

Path 參數

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
couponId*number
Coupon ID
# 04

Query 參數

NameTypeDescription
status*string
Coupon status (STANDBY, APPLIED, PAUSED and EXPIRED)
pagenumber
Page: 0 by default
Key value to call the next page; enter nothing or '0' to call the 1st page,enter '1' to call the 2nd page,and so on
sizenumber

of results per page

sortstring
Sorting (asc, desc)
Ascending by default
# 05

回應內容

回應訊息

NameTypeDescription
codeinteger
Server response code
messagestring
Server response message
httpStatusinteger
HTTP Status Code (same as the server response code)
httpStatusMessagestring
HTTP Status Message (same as the server response message)
errorMessagestring
Detailed reason for error other than HTTP Status 200
dataobject
Data on coupon item list
success
data.success
boolean
Success or failure
true or false
content
data.content
object[]
Coupon item list
couponItemId
data.content[].couponItemId
integer
Coupon item ID
ex) 80984
couponId
data.content[].couponId
integer
Coupon ID
ex) 75, 80
vendorItemId
data.content[].vendorItemId
integer
Option ID
ex) 3223826213
startAt
data.content[].startAt
string
Effective start date/time
ex) 2017-08-04 01:00:00
endAt
data.content[].endAt
string
Effective end date/time
ex) 2017-09-01 00:00:00
status
data.content[].status
string
Coupon status
Code Description
STANDBY Standing by
APPLIED In use
PAUSED Issuance paused
EXPIRED Expired
Pagination
data.Pagination
object[]
Paging
countPerPage
data.Pagination[].countPerPage
number
Data count per page
ex) 10, 20, 30
currentPage
data.Pagination[].currentPage
number
Current page
ex) 1
totalPages
data.Pagination[].totalPages
number
Total page count
ex) 1000
totalElements
data.Pagination[].totalElements
number
Total data count
ex) 1000

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "couponItemId": 81172,
        "couponId": 84,
        "vendorItemId": 3226138951,
        "startAt": "2017-08-09 01:00:00",
        "endAt": "2017-09-01 00:00:00",
        "status": "APPLIED"
      },
      {
        "couponItemId": 81171,
        "couponId": 84,
        "vendorItemId": 3226138847,
        "startAt": "2017-08-09 01:00:00",
        "endAt": "2017-09-01 00:00:00",
        "status": "APPLIED"
      }
    ],
    "pagination": {
      "currentPage": 0,
      "countPerPage": 1000,
      "totalPages": 1,
      "totalElements": 2
    }
  }
}
# 06

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 (check request parameter)

Check access to the vendor info.

Check if the seller ID (vendorId) is correct.